import React from 'react';
import * as ReactDOM from 'react-dom';
import { PortalManager } from '@highlight-ui/utils-portal-manager';
import ToastManager from './ToastManager.js';

var Toaster = function () {
  function Toaster() {
    var _this = this;

    this.closeAllHandler = function () {};

    this.getToastsHandler = function () {
      return [];
    };

    this.notifyHandler = function () {};

    this.bindNotify = function (handler) {
      _this.notifyHandler = handler;
    };

    this.bindGetToasts = function (handler) {
      _this.getToastsHandler = handler;
    };

    this.bindCloseAll = function (handler) {
      _this.closeAllHandler = handler;
    };

    this.closeAll = function () {
      _this.closeAllHandler();
    };

    this.notify = function (options) {
      _this.notifyHandler(options);
    };

    var container = document.createElement('div');
    container.setAttribute('personio-toaster-container', '');
    PortalManager.containerInstance().appendChild(container);
    ReactDOM.render( /*#__PURE__*/React.createElement(ToastManager, {
      bindNotify: this.bindNotify,
      bindGetToasts: this.bindGetToasts,
      bindCloseAll: this.bindCloseAll
    }), container);
    return this;
  }

  Object.defineProperty(Toaster.prototype, "toasts", {
    get: function () {
      return this.getToastsHandler();
    },
    enumerable: false,
    configurable: true
  });
  return Toaster;
}();

var Toaster$1 = new Toaster();
export { Toaster$1 as default };
//# sourceMappingURL=Toaster.js.map
