function createTimer(callback, delay) {
  var timerId = 0;
  var start = new Date(0);
  var remaining = delay;
  var timer = {
    reset: function () {
      clearTimeout(timerId);
      timerId = 0;
    },
    pause: function () {
      window.clearTimeout(timerId);
      remaining -= +new Date() - +start;
    },
    resume: function () {
      start = new Date();
      window.clearTimeout(timerId);
      timerId = window.setTimeout(callback, remaining);
    }
  };
  timer.resume();
  return timer;
}

export { createTimer as default };
//# sourceMappingURL=createTimer.js.map
